mle-class {mle} | R Documentation

## Class "mle". Result of maximum likelihood estimation.

### Description

This class encapsulates results of a generic maximum likelihood procedure.

### Objects from the Class

Objects can be created by calls of the form `new("mle", ...)`, but most often as the result of a call to `mle`.

### Slots

`call`:
  Object of class `"language"`. The call to `mle`
`coef`:
  Object of class `"numeric"`. Estimated parameters
`vcov`:
  Object of class `"matrix"`. Approximate variance-covariance matrix
`min`:
  Object of class `"numeric"`. Minimum value of objective function.
`details`:
  Object of class `"list"`. List returned from `optim`
`minuslogl`:
  Object of class `"function"`. The negative loglikelihood function.
`method`:
  Object of class `"character"`. The optimization method used.

### Methods

confint
  `signature(object = "mle")`: Confidence intervals from likelihood profiles.
profile
  `signature(fitted = "mle")`: Likelihood profile generation.
show
  `signature(object = "mle")`: Display object briefly.
summary
  `signature(object = "mle")`: Generate object summary.

[Package Contents]